/* traj.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


/* trajectory tracing module */



#ifndef TRAJ_H
#define TRAJ_H



extern void init_traj();



/*** trace ************************************************************
   Trace a wind trajectory.
   Input:  curr, curc, curl - init. pos. in [0..Nr-1],[0..Nc-1],[0..Nl-1]
           ctime            - init. time in [0..NumTimes-1]
           step             - step size (~100.0)
           max              - max number of vertices to return
   Output:  vr, vc, vl      - array of vertices in grid coords
            vt              - array of vertex times
   Return:  number of vertices put into arrays.
**********************************************************************/
extern int trace();
/*
float curr, curc, curl;
int ctime;
float step;
int max;
float vr[], vc[], vl[];
int vt[];
*/



#endif
